"""
********************************************************************************
compas_fofin
********************************************************************************

.. currentmodule:: compas_fofin


.. toctree::
    :maxdepth: 1


"""

from __future__ import print_function

import os

# import compas


__author__ = ["tom van mele"]
__copyright__ = "Block Research Group - ETH Zurich"
__license__ = "MIT License"
__email__ = "van.mele@arch.ethz.ch"
__version__ = "0.3.0"


HERE = os.path.dirname(__file__)

HOME = os.path.abspath(os.path.join(HERE, "../../"))
DATA = os.path.abspath(os.path.join(HOME, "data"))
DOCS = os.path.abspath(os.path.join(HOME, "docs"))
TEMP = os.path.abspath(os.path.join(HOME, "temp"))


__all__ = ["HOME", "DATA", "DOCS", "TEMP"]

__all_plugins__ = [
    "compas_fofin.rhino.install",
    "compas_fofin.rhino.artists",
    "compas_fofin.rhino.objects",
    "compas_fofin.rhino.register",
]
